using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevExpress.Data.Filtering;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Actions;
using DevExpress.ExpressApp.Editors;
using DevExpress.ExpressApp.Layout;
using DevExpress.ExpressApp.Model.NodeGenerators;
using DevExpress.ExpressApp.SystemModule;
using DevExpress.ExpressApp.Templates;
using DevExpress.ExpressApp.Utils;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.Validation;
using DevExpress.ExpressApp.Xpo;
using System.IO;
using System.Collections;
using System.Diagnostics;
using System.Windows.Forms;

namespace Nuvolar.Module
{
    // For more typical usage scenarios, be sure to check out https://documentation.devexpress.com/eXpressAppFramework/clsDevExpressExpressAppViewControllertopic.aspx.
    public partial class CustomersOrderVC : ViewController
    {
        public CustomersOrderVC()
        {
            InitializeComponent();
            // Target required Views (via the TargetXXX properties) and create their Actions.
        }
        protected override void OnActivated()
        {
            base.OnActivated();
            // Perform various tasks depending on the target View.
        }
        protected override void OnViewControlsCreated()
        {
            base.OnViewControlsCreated();
            // Access and customize the target View control.
        }
        protected override void OnDeactivated()
        {
            // Unsubscribe from previously subscribed events and release other references and resources.
            base.OnDeactivated();
        }

        private void aOpenWindowsExplorer_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            XPObjectSpace _ocur = (XPObjectSpace)View.ObjectSpace;
            XPObjectSpace _onew = (XPObjectSpace)Application.CreateObjectSpace();
            CustomersOrder _CustomersOrder = (CustomersOrder)View.SelectedObjects[0];

            if (_CustomersOrder != null) { 
                if (string.IsNullOrEmpty(_CustomersOrder.DocumentPath)==false)
                {
                    if (Directory.Exists(_CustomersOrder.DocumentPath)) 
                    {
                        Process.Start(_CustomersOrder.DocumentPath);
                    }
                }
            }
        }
    }
}
